<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE tiles-definitions PUBLIC "-//Apache Software Foundation//DTD Tiles Configuration 3.0//EN" "http://tiles.apache.org/dtds/tiles-config_3_0.dtd">
<tiles-definitions>

	<!-- Tiles Layout -->
	<definition name="layouts-tiles" template="/WEB-INF/tiles/tiles-layout.jsp">
		<put-attribute name="header"        value="/WEB-INF/tiles/tiles-header.jsp" />
		<put-attribute name="leftmenu"      value="/WEB-INF/tiles/tiles-leftmenu.jsp" />
		<put-attribute name="contents"      value="" />
		<put-attribute name="footer"        value="/WEB-INF/tiles/tiles-footer.jsp" />
	</definition>

	<definition name="*.tiles" extends="layouts-tiles">
		<put-attribute name="contents"   	value="/WEB-INF/jsp/{1}.jsp" />
	</definition>
	
	<definition name="*/*.tiles" extends="layouts-tiles">
		<put-attribute name="contents"   value="/WEB-INF/jsp/{1}/{2}.jsp" />
	</definition>
	
	<definition name="*/*/*.tiles" extends="layouts-tiles">
	 	<put-attribute name="contents"   value="/WEB-INF/jsp/{1}/{2}/{3}.jsp" />
	</definition>
	
	<!-- Default Layout -->
	<definition name="layouts-default" template="/WEB-INF/tiles/default-layout.jsp">
		<put-attribute name="contents"      value="" />
	</definition>

	<definition name="*" extends="layouts-default">
		<put-attribute name="contents"   	value="/WEB-INF/jsp/{1}.jsp" />
	</definition>
	
	<definition name="*/*" extends="layouts-default">
		<put-attribute name="contents"   value="/WEB-INF/jsp/{1}/{2}.jsp" />
	</definition>
	
	<definition name="*/*/*" extends="layouts-default">
	 	<put-attribute name="contents"   value="/WEB-INF/jsp/{1}/{2}/{3}.jsp" />
	</definition>
	
	<!--  
	<definition name="layouts-tiles-popup" template="/WEB-INF/tiles/default-popup.jsp">
		<put-attribute name="contents"       value="" />
	</definition>
	<definition name="*.popup" extends="layouts-tiles-popup">
		<put-attribute name="contents"   value="/WEB-INF/jsp/{1}.jsp" />
	</definition>
	-->

</tiles-definitions>